#!/bin/sh

echo 'name: HTTP
version: 4000.0.6
license: BSD3
copyright: Copyright (c) 2002, Warrick Gray
           Copyright (c) 2002-2005, Ian Lynagh
           Copyright (c) 2003-2006, Bjorn Bringert
           Copyright (c) 2004, Andre Furtado
           Copyright (c) 2004, Ganesh Sittampalam
           Copyright (c) 2004-2005, Dominic Steinitz
           Copyright 2007 Robin Bate Boerop
           Copyright 2008- Sigbjorn Finne
maintainer: Sigbjorn Finne <sigbjorn.finne@gmail.com>
stability:
homepage: http://projects.haskell.org/http/
package-url:
description: A package for sending and receiving HTTP requests and responses, all implemented
             in Haskell (assuming you'\''ve already got a network stack to spare, via the '\''network'\''
             package!) The representation of content of in requests and responses is user-controllable,
             letting you pick a representation that fits your code better (e.g., use @ByteString@s rather
             than the default Haskell @String@s.) Example uses:
             .
             >
             >    do
             >      rsp <- Network.HTTP.simpleHTTP (getRequest "http://www.haskell.org/")
             >              -- fetch document and return it (as a '\''String'\''.)
             >      fmap (take 100) (getResponseBody rsp)
             >
             >    do
             >      rsp <- Network.Browser.browse $ do
             >               setAllowRedirects True -- handle HTTP redirects
             >               request $ getRequest "http://google.com/"
             >      fmap (take 100) (getResponseBody rsp)
             >
             .
             Git repository available at <git://code.galois.com/HTTPbis.git>
category: Network
author: Warrick Gray <warrick.gray@hotmail.com>
exposed: True
exposed-modules: Network.BufferType Network.Stream
                 Network.StreamDebugger Network.StreamSocket Network.TCP
                 Network.HTTP Network.HTTP.Headers Network.HTTP.Base
                 Network.HTTP.Stream Network.HTTP.HandleStream Network.Browser
hidden-modules: Network.HTTP.Base64 Network.HTTP.MD5
                Network.HTTP.MD5Aux Network.HTTP.Utils
import-dirs: /usr/lib/ghc-6.10.3/HTTP-4000.0.6
library-dirs: /usr/lib/ghc-6.10.3/HTTP-4000.0.6
hs-libraries: HSHTTP-4000.0.6
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: array-0.2.0.0 base-4.1.0.0 bytestring-0.9.1.4 mtl-1.1.0.2
         network-2.2.1.1 old-time-1.0.0.2 parsec-2.1.0.1
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/share/doc/ghc/libraries/HTTP/HTTP.haddock
haddock-html: /usr/share/doc/ghc/libraries/HTTP' | /usr/bin/ghc-pkg update -
